Index: source/ikea/config.cpp
===================================================================
--- source/ikea/config.cpp	(revision 452)
+++ source/ikea/config.cpp	(working copy)
@@ -46,7 +46,7 @@
 //
 
 #define DELIM_NEW	','
-#define DELIM_OLD	char( 0x255 )
+#define DELIM_OLD	0x255
 
 inline char * text_delim( char * text )
 {
@@ -61,14 +61,25 @@
 
 inline size_t text_length( char * text )
 {
-	char chrset[] =
+	size_t oset = 0;
+
+	while( true )
 	{
-		char( DELIM_NEW ),
-		char( DELIM_OLD ),
-		char( 0x00 )
-	};
+		int c = text[ oset ];
 
-	return strcspn( text, chrset );
+		switch( c )
+		{
+			case 0:
+			case DELIM_OLD:
+			case DELIM_NEW:
+				return oset;
+
+			default:
+				oset++;
+		}
+	}
+
+	return 0;
 }
 
 //==============================================================================
